[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# EParserError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when an error occurs during the parsing of streams.

## Declaration

Source position: classesh.inc line 145

`type EParserError = class(Exception) ;`

## Inheritance

`EParserError` |  | Exception raised when an error occurs during the parsing of streams.
`Exception` |  | Base class of all exceptions.
`TObject` |  | Base class of all classes.

## Description

When an error occurs during the parsing of a stream, an EParserError is raised. Usually this indicates that an invalid token was found on the input stream, or the token read from the stream wasn't the expected token.

## See also

TParser |  | Class to parse the contents of a stream containing text data.

Documentation generated on: Feb 26 2014